Update Company-Level Payment Terms
Updates the Company-level payment terms for the Company specified by companyId. If the value of isEnabled is set to false, the paymentTerms field will be ignored and will default to the store-level value.
Authentication
X-Auth-Tokenstring
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
X-Store-Hashstring
Path parameters
companyId
The unique numeric ID of the Company assigned by B2B Edition.
Request
This endpoint expects an object.
isEnabled
Indicates whether payment on terms is available for the specified Company.
paymentTerms
The term set for the specified Company. This field takes the store-level default value if isEnabled is false.
Response
SUCCESS
code
Operation status code.
data
meta
Errors
400
Bad Request Error